
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: rpm: always mlock the rpm database

Hacky patch that mlock()s rpmdb's environment mmap(2)s, in order to
attempt to avoid spurious rpmdb corruption issues on Linux that seem
to be somehow related to pagein/pageout occuring.

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/rpm.spec
===================================================================
--- SPECS.orig/rpm.spec
+++ SPECS/rpm.spec
@@ -23,6 +23,7 @@ Patch10: rpm-4.4.2.2-debugedit-fpc.patch
 Patch11: rpm-4.4.2.2-pyproblem.patch
 Patch12: rpm-4.4.2.2-problem-nevra.patch
 Patch13: rpm-4.4.2.2-arm-vfp.patch
+Patch14: rpm-4.4.2-always-mlock.patch
 
 # XXX Beware, this is one murky license, partially GPL/LGPL dual-licensed
 # and several different components with their own licenses included...
@@ -152,6 +153,7 @@ that will manipulate RPM packages and da
 %patch11 -p1 -b .pyproblem
 %patch12 -p1 -b .problem-nevra
 %patch13 -p1 -b .arm-vfp
+%patch14 -p1 -b .always-mlock
 
 # force external popt
 rm -rf popt/
